Get domains settings: get settings needed to set correctly the domain
Get /settings/domains/settings
Parameters:
None
Response:
| Name | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| dkim |
DKIM settings
|
Array | ||||||||||||
| spf |
SPF settings
|
Array | ||||||||||||
| tracking |
Tracking settings
|
Array |
Programming language:
Response exemple:
{
"dkim":
{
"prefix": "mta._domainkey.",
"value": ""
"record": "TXT"
},
"spf":
{
"value": "spf.example.com",
"record": "SPF"
}
"tracking":
{
"value": "link.domaincustom.net",
"record": "CNAME"
}
}
Code example:
curl -X GET -H "Content-Type: application/json" -H "X-Tipimail-ApiUser:YOUR_SMTP_USERNAME" -H "X-Tipimail-ApiKey:YOUR_SMTP_KEY" https://api.tipimail.com/v1/settings/domains/settings
require 'vendor/autoload.php';
$tipimail = new Tipimail\Tipimail('YOUR_SMTP_USERNAME', 'YOUR_API_KEY');
try {
$result = $tipimail->getSettingsService()->getDomainsService()->getSettings();
var_dump($result);
}
catch(Tipimail\Exceptions\TipimailException $e) {
echo 'Exception received :', $e->getMessage(), "\n";
}